Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161191 - Improvements for the rpm spec file
Summary: Improvements for the rpm spec file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xen
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rik van Riel
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-21 08:28 UTC by Michael Paesold
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-16 19:04:38 UTC


Attachments (Terms of Use)

Description Michael Paesold 2005-06-21 08:28:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; en) Opera 8.0

Description of problem:
There are some minor improvments that could be made to the spec file:

1) Configuration
Configuration files in /etc/xen/ can and will be edited by the user, e.g. the 
xend-config.sxp file or the files in the scripts directory. I for myself have 
changed /etc/xen/vif-bridge to add firewall rules for each vif.
Therefore I propose to change the %files entry to
%{_sysconfdir}/%{name}*
to
%config(noreplace) %{_sysconfdir}/%{name}*
if that works with *, otherwise list all files explicitly.

2) Build requirements:
Building the source rpm requires the curl-devel package, please add it to 
BuildRequires.


Version-Release number of selected component (if applicable):
xen-2-20050530

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:

Comment 1 Rik van Riel 2005-09-16 18:50:49 UTC
Fixed in current release.


Note You need to log in before you can comment on or make changes to this bug.